SalesOS.

Auto Enrichment

Automatic record enrichment triggers

Get auto-enrichment configuration

GET
/v1/auto-enrichment/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/auto-enrichment/config" \
  -H "Authorization: Bearer <token>"

Enrichment configuration

Update auto-enrichment configuration

PATCH
/v1/auto-enrichment/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PATCH "https://api.salesos.org/v1/auto-enrichment/config" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Updated enrichment configuration

Update auto-enrichment configuration (PUT)

PUT
/v1/auto-enrichment/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PUT "https://api.salesos.org/v1/auto-enrichment/config" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Updated enrichment configuration

List enrichment jobs

GET
/v1/auto-enrichment/jobs

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

entityTypeRequiredstring
statusRequiredstring
curl -X GET "https://api.salesos.org/v1/auto-enrichment/jobs?entityType=%3Cstring%3E&status=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

List of enrichment jobs

Get enrichment job details

GET
/v1/auto-enrichment/jobs/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/auto-enrichment/jobs/<string>" \
  -H "Authorization: Bearer <token>"

Enrichment job details

Get enrichment conflicts needing review

GET
/v1/auto-enrichment/conflicts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/auto-enrichment/conflicts" \
  -H "Authorization: Bearer <token>"

List of conflicts

Resolve an enrichment conflict

POST
/v1/auto-enrichment/conflicts/{id}/resolve

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/auto-enrichment/conflicts/<string>/resolve" \
  -H "Authorization: Bearer <token>"

Conflict resolved

Resolve an enrichment conflict (PUT)

PUT
/v1/auto-enrichment/conflicts/{id}/resolve

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PUT "https://api.salesos.org/v1/auto-enrichment/conflicts/<string>/resolve" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Conflict resolved

Get enrichment statistics

GET
/v1/auto-enrichment/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/auto-enrichment/stats" \
  -H "Authorization: Bearer <token>"

Enrichment statistics

Retry a failed enrichment job

POST
/v1/auto-enrichment/jobs/{id}/retry

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/auto-enrichment/jobs/<string>/retry" \
  -H "Authorization: Bearer <token>"

Job queued for retry

Pause enrichment pipeline

POST
/v1/auto-enrichment/pause

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/auto-enrichment/pause" \
  -H "Authorization: Bearer <token>"

Pipeline paused

Resume enrichment pipeline

POST
/v1/auto-enrichment/resume

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/auto-enrichment/resume" \
  -H "Authorization: Bearer <token>"

Pipeline resumed

Get credit usage breakdown

GET
/v1/auto-enrichment/credits

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/auto-enrichment/credits" \
  -H "Authorization: Bearer <token>"

Credit usage